import type { StoryObj, Meta } from '@storybook/react';
import { NsPost } from '../';

type ComponentType = typeof NsPost;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsPost,
    title: 'Components/Containers/Card/NsPost',
} as MetaStory;

const host = 'https://media.nuskin.com/';

export const Default: Story = {
    args: {
        text: '38 New Beauty Products Our Editors Are Loving',
        body: 'SPA & BEAUTY TODAY',
        backgroundImageUrl: `${host}m/780f8d84bcb9d5ed/Small-Essence_News.jpg`,
        backgroundImageAlt: 'small essence news',
    },
};
