import { TextFieldProps } from '@mui/material';
import { AdditionalProps } from '../common.types';

export type NsEmailSimpleProps = Pick<TextFieldProps> &
    AdditionalProps & {
        disabled?: boolean;
        label?: string;
        required?: boolean;
        maxLength?: number;
        invalidEmailText?: string;
        dupedEmailText?: string;
        requiredErrorMessage?: string;
        checkEmail?: Function;
    };
