import { styled } from '@nuskin/foundation-theme';

export const SpinnerContainer = styled.div<{ size: number }>`
    width: ${(prop) => prop.size}px;
    height: ${(prop) => prop.size}px;
    svg {
        width: ${(prop) => prop.size}px;
        height: ${(prop) => prop.size}px;
    }
    #ns-spinner-7_tr {
        animation: ns-spinner-7_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-7_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        80% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.495, 0.49, 0.82, 0.11);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-7 {
        animation: ns-spinner-7_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-7_c_o {
        0% {
            opacity: 0;
        }
        77.500000% {
            opacity: 0;
        }
        80% {
            opacity: 1;
        }
        97.500000% {
            opacity: 1;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-8_tr {
        animation: ns-spinner-8_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-8_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        77.500000% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.1, 0.365, 0.82, 0.11);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-8 {
        animation: ns-spinner-8_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-8_c_o {
        0% {
            opacity: 0;
        }
        75% {
            opacity: 0;
        }
        77.500000% {
            opacity: 1;
        }
        97.500000% {
            opacity: 1;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-9_tr {
        animation: ns-spinner-9_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-9_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        30% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.5, 0.495, 0.82, 0.11);
        }
        50% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-9 {
        animation: ns-spinner-9_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-9_c_o {
        0% {
            opacity: 0;
        }
        25% {
            opacity: 0;
        }
        27.500000% {
            opacity: 1;
        }
        47.500000% {
            opacity: 1;
        }
        50% {
            opacity: 0;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-10_tr {
        animation: ns-spinner-10_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-10_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        27.500000% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.1, 0.365, 0.82, 0.11);
        }
        50% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-10 {
        animation: ns-spinner-10_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-10_c_o {
        0% {
            opacity: 0;
        }
        25% {
            opacity: 0;
        }
        27.500000% {
            opacity: 1;
        }
        47.500000% {
            opacity: 1;
        }
        50% {
            opacity: 0;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-11_tr {
        animation: ns-spinner-11_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-11_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        55% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.495, 0.49, 0.82, 0.11);
        }
        75% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-11 {
        animation: ns-spinner-11_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-11_c_o {
        0% {
            opacity: 0;
        }
        52.500000% {
            opacity: 0;
        }
        55% {
            opacity: 1;
        }
        72.500000% {
            opacity: 1;
        }
        75% {
            opacity: 0;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-12_tr {
        animation: ns-spinner-12_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-12_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        52.500000% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.1, 0.365, 0.82, 0.11);
        }
        75% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-12 {
        animation: ns-spinner-12_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-12_c_o {
        0% {
            opacity: 0;
        }
        50% {
            opacity: 0;
        }
        52.500000% {
            opacity: 1;
        }
        72.500000% {
            opacity: 1;
        }
        75% {
            opacity: 0;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-13_tr {
        animation: ns-spinner-13_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-13_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        5% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.495, 0.49, 0.82, 0.11);
        }
        25% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-13 {
        animation: ns-spinner-13_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-13_c_o {
        0% {
            opacity: 1;
        }
        5% {
            opacity: 1;
        }
        25% {
            opacity: 1;
        }
        27.500000% {
            opacity: 0;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-14_tr {
        animation: ns-spinner-14_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-14_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
        }
        2.500000% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0.1, 0.365, 0.82, 0.11);
        }
        25% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
        }
    }
    #ns-spinner-14 {
        animation: ns-spinner-14_c_o 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-14_c_o {
        0% {
            opacity: 1;
        }
        2.500000% {
            opacity: 1;
        }
        25% {
            opacity: 1;
        }
        27.500000% {
            opacity: 0;
        }
        100% {
            opacity: 0;
        }
    }
    #ns-spinner-15_tr {
        animation: ns-spinner-15_tr__tr 4000ms linear infinite normal forwards;
    }
    @keyframes ns-spinner-15_tr__tr {
        0% {
            transform: translate(232.873721px, 220.430229px) rotate(71.000016deg);
            animation-timing-function: cubic-bezier(0, 0.25, 0.795, 0.345);
        }
        25% {
            transform: translate(232.873721px, 220.430229px) rotate(430deg);
            animation-timing-function: cubic-bezier(0, 0.25, 0.795, 0.345);
        }
        50% {
            transform: translate(232.873721px, 220.430229px) rotate(791deg);
            animation-timing-function: cubic-bezier(0, 0.25, 0.795, 0.345);
        }
        75% {
            transform: translate(232.873721px, 220.430229px) rotate(1151deg);
            animation-timing-function: cubic-bezier(0, 0.25, 0.795, 0.345);
        }
        100% {
            transform: translate(232.873721px, 220.430229px) rotate(1511deg);
        }
    }
`;
