import { AdditionalProps } from '../common.types';

export type AlignmentType = 'start' | 'center' | 'end';

export type TextCtaDataType = {
    link: {
        href?: string;
        title?: string;
    };
    description?: string;
};
export type NsTextStripProps = {
    alignment?: AlignmentType;
    className?: string;
} & AdditionalProps &
    TextCtaDataType;
