import CardMedia from '@mui/material/CardMedia';
import { styled } from '@nuskin/foundation-theme';

const NsBrandLogo = styled(CardMedia)<{
    component: 'img';
}>({
    width: 'auto',
    height: 'auto',
    maxWidth: '80%',
    maxHeight: '80%',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
});

export default NsBrandLogo;
