import type { StoryObj, Meta } from '@storybook/react';
import { NsAwardCard } from '../';

type ComponentType = typeof NsAwardCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsAwardCard,
    title: 'Components/Containers/Card/NsAwardCard',
} as MetaStory;

const host = 'https://media.nuskin.com';

export const Default: Story = {
    args: {
        title: 'AgeLoc LumiSpa iO',
        awardName: '2023 Bronze Winner',
        mediaOutlet: 'Edison Awards',
        backgroundImageUrl: `${host}/m/2ec571a87dc9680c/Small-Edison-Bronze-Logo-Homepage.jpg`,
        backgroundImageAlt: 'Edison Bronze Logo',
    },
};
