import React from 'react';
import { DropdownOptionProps } from './types.d';
import { ListItem } from './NsDropdown.styled';

export const NsDropdownOption: React.FC<DropdownOptionProps> = ({ value, children }) => {
    return (
        <ListItem data-testid={`option-${value}`} id="dropdown-item">
            {children}
        </ListItem>
    );
};
export default NsDropdownOption;
